org.keycloak.representations.idm

## Class PublishedRealmRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.PublishedRealmRepresentation

-     public class PublishedRealmRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `accountServiceUrl`
    `protected String` | `adminApiUrl`
    `protected int` | `notBefore`
    `protected PublicKey` | `publicKey`
    `protected String` | `publicKeyPem`
    `protected String` | `realm`
    `protected String` | `tokenServiceUrl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PublishedRealmRepresentation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccountServiceUrl()`
    `String` | `getAdminApiUrl()`
    `int` | `getNotBefore()`
    `PublicKey` | `getPublicKey()`
    `String` | `getPublicKeyPem()`
    `String` | `getRealm()`
    `String` | `getTokenServiceUrl()`
    `void` | `setAccountServiceUrl(String accountServiceUrl)`
    `void` | `setAdminApiUrl(String adminApiUrl)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setPublicKey(PublicKey publicKey)`
    `void` | `setPublicKeyPem(String publicKeyPem)`
    `void` | `setRealm(String realm)`
    `void` | `setTokenServiceUrl(String tokenServiceUrl)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realm

          protected String realm

    - #### publicKeyPem

          protected String publicKeyPem

    - #### tokenServiceUrl

          protected String tokenServiceUrl

    - #### accountServiceUrl

          protected String accountServiceUrl

    - #### adminApiUrl

          protected String adminApiUrl

    - #### notBefore

          protected int notBefore

    - #### publicKey

          protected transient volatile PublicKey publicKey

  - ### Constructor Detail

    - #### PublishedRealmRepresentation

          public PublishedRealmRepresentation()

  - ### Method Detail

    - #### getRealm

          public String getRealm()

    - #### setRealm

          public void setRealm(String realm)

    - #### getPublicKeyPem

          public String getPublicKeyPem()

    - #### setPublicKeyPem

          public void setPublicKeyPem(String publicKeyPem)

    - #### getPublicKey

          public PublicKey getPublicKey()

    - #### setPublicKey

          public void setPublicKey(PublicKey publicKey)

    - #### getTokenServiceUrl

          public String getTokenServiceUrl()

    - #### setTokenServiceUrl

          public void setTokenServiceUrl(String tokenServiceUrl)

    - #### getAccountServiceUrl

          public String getAccountServiceUrl()

    - #### setAccountServiceUrl

          public void setAccountServiceUrl(String accountServiceUrl)

    - #### getAdminApiUrl

          public String getAdminApiUrl()

    - #### setAdminApiUrl

          public void setAdminApiUrl(String adminApiUrl)

    - #### getNotBefore

          public int getNotBefore()

    - #### setNotBefore

          public void setNotBefore(int notBefore)

Copyright © 2015. All rights reserved.